;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░┌────────────────────────────────────────────────────────────────┐░░░░░░;
;░░░░░░│░█▀█░█▀█░█░░░█░█░█▀▄░█▀█░█▀▄░░░░░░░░░█▄█░█▀█░█▀▄░█░█░█░░░█▀▀░█▀▀│░░░░░░;
;░░░░░░│░█▀▀░█░█░█░░░░█░░█▀▄░█▀█░█▀▄░░░░▀░░░░█░█░█░█░█░█░█░█░█░░░█▀▀░▀▀█│░░░░░░;
;░░░░░░│░▀░░░▀▀▀░▀▀▀░░▀░░▀▀░░▀░▀░▀░▀░░░░▀░░░░▀░▀░▀▀▀░▀▀░░▀▀▀░▀▀▀░▀▀▀░▀▀▀│░░░░░░;
;░░░░░░│░Customized░░for░░Ohmyi3░░(original░░by░░adi1090x)░░░░░░░░░░░░░░│░░░░░░;
;░░░░░░└────────────────────────────────────────────────────────────────┘░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;





;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░Applications░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
;; To find glyphs, install 'gucharmap', Find the Iosevka font
;; Filter View > By Unicode Block + Show only glyphs
;; Then search for 'Private Use Area'
[module/term]
type = custom/text
content = "%{T3}%{T-}"
content-foreground = ${color.blue-gray}
content-background = ${color.bg}
content-padding = 2
click-left  = kitty &

[module/web]
type = custom/text
content = "%{T3}%{T-}"
content-foreground = ${color.deep-orange}
content-background = ${color.bg}
content-padding = 2
click-left  = firefox &

[module/web2]
type = custom/text
content = "%{T3}%{T-}"
content-foreground = ${color.blue}
content-background = ${color.bg}
content-padding = 2
click-left  = chromium &

[module/files]
type = custom/text
content = "%{T3}%{T-}"
content-foreground = ${color.cyan}
content-background = ${color.bg}
content-padding = 2
click-left  = pcmanfm-qt &

[module/settings]
type = custom/text
; content = "%{T3}%{T-}"
content = "%{T3}%{T-}"
content-foreground = ${color.fg-alt}
content-padding = 2
click-left  = lxqt-config &

[module/htop]
type = custom/text
content = "%{T3}%{T-}"
content-foreground = ${color.orange}
content-background = ${color.bg}
content-padding = 2
click-left  = kitty -e htop &

[module/bashtop]
type = custom/text
content = "%{T3}%{T-}"
content-foreground = ${color.orange}
content-background = ${color.bg}
content-padding = 2
click-left  = kitty -e bashtop &

[module/taskmanager]
type = custom/text
content = "%{T3}%{T-}"
content-foreground = ${color.green}
content-background = ${color.bg}
content-padding = 2
click-left  = qps &

[module/editor]
type = custom/text
content = "%{T3}%{T-}"
content-foreground = ${color.blue}
content-background = ${color.bg}
content-padding = 2
click-left  = code &

[module/notepad]
type = custom/text
content = "%{T3}%{T-}"
content-foreground = ${color.light-blue}
content-background = ${color.bg}
content-padding = 2
click-left  = kate &

[module/calc]
type = custom/text
content = "%{T3}%{T-}"
content-foreground = ${color.amber}
content-background = ${color.bg}
content-padding = 1
click-left  = galculator &

[module/colorpicker]
type = custom/text
content = "%{T3}%{T-}"
;content = "%{T3}%{T-}"
content-foreground = ${color.light-green}
content-background = ${color.bg}
content-padding = 1

click-left  = kcolorchooser &


[module/spotify]
type = custom/text
content = "%{T3}%{T-}"
content-foreground = ${color.green}
content-background = ${color.bg}
content-padding = 2
click-left  = spotify &




;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░Rofi░Application░Launcher░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
; [module/menu]
; type = custom/text
; content = "%{T3}%{T-}"
; content-foreground = ${color.green}
; content-background = ${color.bg}
; content-padding = 2
; click-left = /home/mreschke/Code/mreschke/polybar/qpanels/scripts/launcher.sh --gnome
; click-right = /home/mreschke/Code/mreschke/polybar/qpanels/scripts/launcher.sh --gnome




;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░Battery░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
[module/battery]
type = internal/battery

; $ ls -1 /sys/class/power_supply/
battery = None
adapter = ACAD

poll-interval = 2
time-format = %H:%M

full-at = 99
;----------------------------------------------------------------------- Full--;
; Available tags:
;   <label-full> (default)
;   <bar-capacity>
;   <ramp-capacity>
;format-full = <ramp-capacity> <label-full>

; Available tokens:
;   %percentage% (default)
; This is a CLICK hack, since internal modules do not support click-left or click-right
; See https://github.com/polybar/polybar/issues/273#issuecomment-389150884
; See https://github.com/polybar/polybar/issues/1524
;label-full = "%{A1:xfce4-power-manager-settings:}%{A}"
label-full = "%{A1:xfce4-power-manager-settings:}%{A}"
label-full-foreground = ${color.green}
label-full-padding-left = 0
label-full-padding-right = 1
label-full-font = 3


;--------------------------------------------------------------------Charging--;
; Available tags:
;   <label-charging> (default)
;   <bar-capacity>
;   <ramp-capacity>
;   <animation-charging>
format-charging = <animation-charging> <label-charging>
;format-charging = <ramp-capacity> <label-charging>

; Available tokens:
;   %percentage% (default)
;   %time%
;   %consumption% (shows current charge rate in watts)
;label-charging = %percentage%%
label-charging = "%{A1:xfce4-power-manager-settings:}%percentage%%%{A}"
label-charging-font = 4
label-charging-padding-left = 0
label-charging-padding-right = 1
;label-charging-padding = 1


; If using format-charing = <animation-charging>
animation-charging-0 = "%{A1:xfce4-power-manager-settings:}%{A}"
animation-charging-0-foreground = ${color.red}

animation-charging-1 = "%{A1:xfce4-power-manager-settings:}%{A}"
animation-charging-1-foreground = ${color.deep-orange}

animation-charging-2 = "%{A1:xfce4-power-manager-settings:}%{A}"
animation-charging-2-foreground = ${color.orange}

animation-charging-3 = "%{A1:xfce4-power-manager-settings:}%{A}"
animation-charging-3-foreground = ${color.amber}

animation-charging-4 = "%{A1:xfce4-power-manager-settings:}%{A}"
animation-charging-4-foreground = ${color.yellow}

animation-charging-5 = "%{A1:xfce4-power-manager-settings:}%{A}"
animation-charging-5-foreground = ${color.lime}

animation-charging-6 = "%{A1:xfce4-power-manager-settings:}%{A}"
animation-charging-6-foreground = ${color.light-green}

animation-charging-7 = "%{A1:xfce4-power-manager-settings:}%{A}"
animation-charging-7-foreground = ${color.green}

animation-charging-8 = "%{A1:xfce4-power-manager-settings:}%{A}"
animation-charging-8-foreground = ${color.green}

animation-charging-font = 3
animation-charging-framerate = 750
animation-charging-padding-right = 0


;-----------------------------------------------------------------Discharging--;
; Available tags:
;   <label-discharging> (default)
;   <bar-capacity>
;   <ramp-capacity>
;   <animation-discharging>
format-discharging = <ramp-capacity> <label-discharging>

; Available tokens:
;   %percentage% (default)
;   %time%
;   %consumption% (shows current discharge rate in watts)
;label-discharging = " %percentage%%"
label-discharging = "%{A1:xfce4-power-manager-settings:}%percentage%%%{A}"
label-discharging-font = 4
label-discharging-padding-left = 0
label-discharging-padding-right = 1



;---------------------------------------------------------------Battery-Level--;
ramp-capacity-font = 4
ramp-capacity-padding = 0

; 0 - 10%
ramp-capacity-0 = "%{A1:xfce4-power-manager-settings:}%{A}"
ramp-capacity-0-foreground = ${color.white}
ramp-capacity-0-background = ${color.pink}

; 11 - 20%
ramp-capacity-1 = "%{A1:xfce4-power-manager-settings:}%{A}"
ramp-capacity-1-foreground = ${color.red}

;21 - 30%
ramp-capacity-2 = "%{A1:xfce4-power-manager-settings:}%{A}"
ramp-capacity-2-foreground = ${color.deep-orange}

; 31 - 40%
ramp-capacity-3 = "%{A1:xfce4-power-manager-settings:}%{A}"
ramp-capacity-3-foreground = ${color.orange}

; 41 - 50%
ramp-capacity-4 = "%{A1:xfce4-power-manager-settings:}%{A}"
ramp-capacity-4-foreground = ${color.amber}

; 51 - 60%
ramp-capacity-5 = "%{A1:xfce4-power-manager-settings:}%{A}"
ramp-capacity-5-foreground = ${color.yellow}

; 61 - 70%
ramp-capacity-6 = "%{A1:xfce4-power-manager-settings:}%{A}"
ramp-capacity-6-foreground = ${color.lime}

; 71 - 80%
ramp-capacity-7 = "%{A1:xfce4-power-manager-settings:}%{A}"
ramp-capacity-7-foreground = ${color.light-green}

; 81 - 90-
ramp-capacity-8 = "%{A1:xfce4-power-manager-settings:}%{A}"
ramp-capacity-8-foreground = ${color.green}

; 91 - full
ramp-capacity-9 = "%{A1:xfce4-power-manager-settings:}%{A}"
ramp-capacity-9-foreground = ${color.white}





;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░CPU░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
[module/cpu]
type = internal/cpu

; Seconds to sleep between updates
; Default: 1
interval = 5

; Available tags:
;   <label> (default)
;   <bar-load>
;   <ramp-load>
;   <ramp-coreload>
;;format = <label> <ramp-coreload>
format = <label>
; format-prefix = 
format-prefix = "%{T3}%{T-}"
format-foreground = ${color.grey}

; Available tokens:
;   %percentage% (default) - total cpu load averaged over all cores
;   %percentage-sum% - Cumulative load on all cores
;   %percentage-cores% - load percentage for each core
;   %percentage-core[1-9]% - load percentage for specific core
label = " %percentage%%"
format-padding = 1

; Spacing between individual per-core ramps
;;ramp-coreload-spacing = 1
;;ramp-coreload-0 = ${cpu.load0}
;;ramp-coreload-1 = ${cpu.load1}

;;ramp-load-0 = ${cpu.load0}
;;ramp-load-1 = ${cpu.load1}




;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░Date░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
[module/date]
type = internal/date
interval = 1.0
time = "%a, %d %b %Y %I:%M %p"
;time = " %a, %d %b %Y %I:%M %p"
;time = %I:%M %p
;time-alt = %B %d, %Y
;time-alt = " %a, %d %b %Y"
format = <label>
label = %time%
label-padding = 0




;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░i3░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
[module/i3]
; See https://github.com/polybar/polybar/wiki/Module:-i3
type = internal/i3

; Available tags:
;   <label-state> (default) - gets replaced with <label-(focused|unfocused|visible|urgent)>
;   <label-mode> (default)
format = <label-mode>
format-padding = 1

; Available tokens:
;   %mode%
; Default: %mode%
label-mode = %mode%
label-mode-padding = 2
label-mode-background = ${color.pink}




;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░Memory/Ram░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
[module/memory]
type = internal/memory

; Seconds to sleep between updates
; Default: 1
interval = 5

; Available tags:
;   <label> (default)
;   <bar-used>
;   <bar-free>
;   <ramp-used>
;   <ramp-free>
;   <bar-swap-used>
;   <bar-swap-free>
;   <ramp-swap-used>
;   <ramp-swap-free>
format = <label>
; format-prefix = 
format-prefix = "%{T3}%{T-}"
format-foreground = ${color.grey}
format-padding = 1

; Available tokens:
;   %percentage_used% (default)
;   %percentage_free%
;   %gb_used%
;   %gb_free%
;   %gb_total%
;   %mb_used%
;   %mb_free%
;   %mb_total%
;   %percentage_swap_used%
;   %percentage_swap_free%
;   %mb_swap_total%
;   %mb_swap_free%
;   %mb_swap_used%
;   %gb_swap_total%
;   %gb_swap_free%
;   %gb_swap_used%

label = " %mb_used%"

; Only applies if <ramp-used> is used
;;ramp-used-0 = ${memory.used0}
;;ramp-used-1 = ${memory.used1}
;;ramp-used-2 = ${memory.used2}

; Only applies if <ramp-free> is used
;;ramp-free-0 = ${memory.free0}
;;ramp-free-1 = ${memory.free1}
;;ramp-free-2 = ${memory.free2}




;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░Network░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
[module/network]
type = internal/network

interface = enp6s18
interval = 1.0

;ping-interval = 3
;;udspeed-minwidth = 5
accumulate-stats = true
unknown-as-up = true

; Available tags:
;   <label-connected> (default)
;   <ramp-signal>
format-connected = <label-connected>

; Available tags:
;   <label-disconnected> (default)
format-disconnected = <label-disconnected>

; Available tags:
;   <label-connected> (default)
;   <label-packetloss>
;   <animation-packetloss>
;;format-packetloss = <animation-packetloss> <label-connected>

; Available tokens:
;   %ifname%    [wireless+wired]
;   %local_ip%  [wireless+wired]
;   %local_ip6% [wireless+wired]
;   %essid%     [wireless]
;   %signal%    [wireless]
;   %upspeed%   [wireless+wired]
;   %downspeed% [wireless+wired]
;   %linkspeed% [wired]
; Default: %ifname% %local_ip%
;label-connected = "%{A1:networkmanager_dmenu &:}%{A}"
;label-connected = "%{A1:networkmanager_dmenu &:}直%{A}"
label-connected = "%{A1:networkmanager_dmenu &:}說%{A}"
label-connected-font = 3


; Available tokens:
;   %ifname%    [wireless+wired]
; Default: (none)
;label-disconnected = "%{A1:networkmanager_dmenu &:}%{A}"
label-disconnected = "%{A1:networkmanager_dmenu &:}睊%{A}"
label-disconnected-foreground = ${color.fg-alt}
label-disconnected-font = 3

label-connected-padding = 1
label-connected-padding-right = 2
label-disconnected-padding = 1

; Available tokens:
;   %ifname%    [wireless+wired]
;   %local_ip%  [wireless+wired]
;   %local_ip6% [wireless+wired]
;   %essid%     [wireless]
;   %signal%    [wireless]
;   %upspeed%   [wireless+wired]
;   %downspeed% [wireless+wired]
;   %linkspeed% [wired]
; Default: (none)
;label-packetloss = %essid%
;label-packetloss-foreground = #eefafafa

; ramp-signal-0 = 直
; ramp-signal-1 = 直
; ramp-signal-2 = 直
; ramp-signal-3 = 直
; ramp-signal-4 = 直

ramp-signal-0 = 
ramp-signal-1 = 
ramp-signal-2 = 
ramp-signal-3 = 
ramp-signal-4 = 
click-right = nm-connection-editor &




;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░Rofi░PowerMenu░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
;[module/powermenu]
;type = custom/text
;; content = 
;content = "%{T4}%{T-}"
;; content-background = ${color.bg-alt}
;content-foreground = ${color.fg}
;content-padding = 1
;click-left = /home/mreschke/Code/mreschke/polybar/qpanels/scripts/powermenu.sh --gnome
;click-right = /home/mreschke/Code/mreschke/polybar/qpanels/scripts/powermenu.sh --gnome





;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░Separatpr░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
[module/sep]
type = custom/text
content = |
content-foreground = ${color.bg}
content-background = ${color.bg}
content-padding = 0

[module/sep2]
type = custom/text
content = |
content-foreground = ${color.bg-alt}
content-background = ${color.bg-alt}
content-padding = 0





;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░Polybar░Style░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
; [module/style]
; type = custom/text
; ; content = 
; ; content = 
; ; content = "%{T3}%{T-}"
; ; content = "%{T3}%{T-}"
; ; content = "%{T3}%{T-}"
; ; content = "%{T3}%{T-}"
; ; content = "%{T3}%{T-}"
; content = "%{T3}%{T-} "
; ;content = "%{T3}%{T-} "
; content-padding = 1
; content-foreground = ${color.grey}
; click-left = /home/mreschke/Code/mreschke/polybar/qpanels/sripts/style-switch.sh --gnome
; click-right = /home/mreschke/Code/mreschke/polybar/qpanels/sripts/style-switch.sh --gnome




;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░Window░Title░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
[module/title]
type = internal/xwindow
; Available tags:
;   <label> (default)
format = <label>
;format-prefix =
; Available tokens:
;   %title%
; Default: %title%
label = "%title%"
label-maxlen = 200
; Used instead of label when there is no window title
;label-empty = Desktop




;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░Volume░Alsa░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
[module/volume]
type = internal/alsa

; You can find the different card numbers in `/proc/asound/cards`
;;master-soundcard = default
;;speaker-soundcard = default
;;headphone-soundcard = default

; Default: Master
;;master-mixer = Master

; Optionally define speaker and headphone mixers
; Default: none
;;speaker-mixer = Speaker
; Default: none
;;headphone-mixer = Headphone

; Default: 5
;;interval = 5

; Available tags:
;   <label-volume> (default)
;   <ramp-volume>
;   <bar-volume>
format-volume = <ramp-volume> <label-volume>
;format-volume-padding-left = 1

; Available tags:
;   <label-muted> (default)
;   <ramp-volume>
;   <bar-volume>
format-muted = <label-muted> <label-volume>
;format-muted-padding-left = 1

; Available tokens:
;   %percentage% (default)
label-volume = %percentage%%
label-volume-font = 4

; Available tokens:
;   %percentage% (default
; label-muted = 
label-muted = 婢
label-muted-foreground = ${color.grey}
label-muted-padding-left = 1
label-muted-font = 3

; ramp-volume-0 = 
; ramp-volume-1 = 
; ramp-volume-2 = 
; ramp-volume-3 = 
; ramp-volume-4 = 

ramp-volume-0 = 
ramp-volume-0-foreground = ${color.grey}
ramp-volume-1 = 
ramp-volume-1-foreground = ${color.green}
ramp-volume-2 = 
ramp-volume-2-foreground = ${color.yellow}
ramp-volume-3 = 
ramp-volume-3-foreground = ${color.orange}
ramp-volume-4 = 
ramp-volume-4-foreground = ${color.red}
ramp-volume-font = 3
ramp-volume-padding-left = 1

click-right  = pavucontrol &




;──────────────────────────────────────────────────────────────────────────────;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░Workspaces░Module░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░;
;──────────────────────────────────────────────────────────────────────────────;
[module/workspaces]
type = internal/xworkspaces

pin-workspaces = false
enable-click = true
enable-scroll = true

format = <label-state>
format-background = ${color.bg}

; Available tokens:
;   %name%
;   %icon%
;   %index%
; Default: %icon%  %name%
label-active = %name%
label-urgent = %name%
label-occupied = %name%
label-empty = %name%

;label-active = 
;label-urgent = 
;label-occupied = 
;label-empty = 
icon-default = 

label-empty-padding = 1
label-active-padding = 1
label-urgent-padding = 1
label-occupied-padding = 1

label-empty-foreground = ${color.fg}
label-active-foreground = ${color.orange}
label-urgent-foreground = ${color.red}
label-occupied-foreground = ${color.blue-gray}

label-empty-background = ${color.bg-alt}
label-active-background = ${color.bg-alt}
label-urgent-background = ${color.red}
label-occupied-background = ${color.bg-alt}




